import axios from "../../utils/axios";

export function importMips(query) {
    return axios({
        url: "warehouse/manuorder/import",
        method: "get",
        params: query
    });
}

export function postMipsOrder(query) {
    return axios({
        url: "warehouse/product/insertmips",
        method: "post",
        data: query
    });
}
export function reloadMips(query) {
    return axios({
        url: "warehouse/product/reloadMips",
        method: "post",
        data: query
    });
}


export function filterBarcodes(query) {
    return axios({
        url: "warehouse/barcodes/filter",
        method: "get",
        params: query
    });
}
export function filterStock(query) {
    return axios({
        url: "warehouse/barcodes/stock",
        method: "get",
        params: query
    });
}


export function importXml(query) {
    return axios({
        url: "warehouse/barcodes/importXml",
        method: "post",
        data: query
    });
}

export function mipsService(query) {
    return axios({
        url: "warehouse/info/mipsService",
        method: "get",
        data: query
    });
}


export function clearStock(query) {
    return axios({
        url: "warehouse/barcodes/clearStock",
        method: "post",
        data: query
    });
}





